<script lang="ts" module>
  export { default as Sonner } from './sonner.svelte';
</script>

<script lang="ts">
  import { Toaster as SonnerPrimitive } from 'svelte-sonner';
  import { cn } from '$lib/utils/cn.svelte.js';
  import { mode } from 'mode-watcher';

  let {
    class: className,
    ...restProps
  }: import('svelte-sonner').ToasterProps & { class?: string } = $props();
</script>

<SonnerPrimitive
  data-slot="sonner"
  class={cn('toaster group', className)}
  theme={$mode}
  {...restProps}
/>